### Hierarchy

- OwnProps

## Index

### Properties

- className
- error
- forceHeader
- label
- noOptionsMessage
- onChange
- options
- placeholder
- value

## Properties

### Optional className

className: undefined | string

- Defined in components/SelectInput/index.tsx:96

### Optional error

error: undefined | string

- Defined in components/SelectInput/index.tsx:98

### Optional forceHeader

forceHeader: undefined | false | true

- Defined in components/SelectInput/index.tsx:99

### Optional label

label: undefined | string

- Defined in components/SelectInput/index.tsx:97

### Optional noOptionsMessage

noOptionsMessage: undefined | string

- Defined in components/SelectInput/index.tsx:95

### onChange

onChange: function

- Defined in components/SelectInput/index.tsx:93

#### Type declaration

- - (option: SelectInputOption): void

  - #### Parameters

    - ##### option: SelectInputOption

    #### Returns void

### options

options: SelectInputOption[]

- Defined in components/SelectInput/index.tsx:91

### Optional placeholder

placeholder: undefined | string

- Defined in components/SelectInput/index.tsx:94

### value

value: SelectInputOption | null

- Defined in components/SelectInput/index.tsx:92

Generated using TypeDoc